<%@ page contentType="text/html; charset=gb2312"%>
<%@ page import="java.sql.*"%> 
<%@ page import="java.util.*"%>
<%@ page import="java.util.Date"%>
<%@ page import="java.text.*"%>
<%@ include file="../admin/checkmaster.jsp"%>
<%@ include file="../inc/conn.jsp"%>
<%//!String sql,strsql,BBS_Cate_ID,BBS_Cate_Name,BBS_Cate_Manager_Name,BBS_Cate_Manager_Email,BBS_Cate_PID,Layer;%>
<%
String sql,strsql,BBS_Cate_ID,BBS_Cate_Name,BBS_Cate_Manager_Name,BBS_Cate_Manager_Email,BBS_Cate_PID,Layer;

BBS_Cate_Name=new String(request.getParameter("BBS_Cate_Name").getBytes("iso-8859-1"));
BBS_Cate_Manager_Name=new String(request.getParameter("BBS_Cate_Manager_Name").getBytes("iso-8859-1"));
BBS_Cate_Manager_Email=new String(request.getParameter("BBS_Cate_Manager_Email").getBytes("iso-8859-1"));
BBS_Cate_PID=request.getParameter("BBS_Cate_PID");
Layer=request.getParameter("layer");
int layerint = Integer.parseInt(Layer);

strsql="select top 1 * from BBS_CATE where BBS_Cate_PID='"+BBS_Cate_PID+"' order by BBS_ID desc";
ResultSet rs=stmt.executeQuery(strsql);

if(!rs.next()){ //没有相同类别的数据，初始化开始值
    if(Layer.equals("0")){
	  BBS_Cate_ID = "A_1";
	}
	else
	{
	BBS_Cate_ID = BBS_Cate_PID+"_1";
	}
}
else
{
    BBS_Cate_ID=rs.getString("BBS_Cate_ID");
	int a=BBS_Cate_ID.indexOf("_");
	int b=BBS_Cate_ID.lastIndexOf("_");
	int len=BBS_Cate_ID.length();
	String k=BBS_Cate_ID.substring(b+1,len);
	String str_1=BBS_Cate_ID.substring(0,b);
	int str_2 = Integer.parseInt(k);
	str_2=str_2+1;
	BBS_Cate_ID=str_1+"_"+str_2;
} 

sql="insert into BBS_CATE(BBS_Cate_ID,BBS_Cate_PID,BBS_Cate_Name,BBS_Cate_Topic,BBS_Cate_Reply,BBS_Cate_Manager_Name,BBS_Cate_Manager_Email) values('"+BBS_Cate_ID+"','"+BBS_Cate_PID+"','"+BBS_Cate_Name+"','0','0','"+BBS_Cate_Manager_Name+"','"+BBS_Cate_Manager_Email+"')";
//out.print(sql);
//out.close();
stmt.executeUpdate(sql);

rs.close(); 
stmt.close(); 
conn.close(); 
response.sendRedirect(request.getHeader("referer"));
%>